Bug 494554 - glxgears corruption on ATI Radeon X800 with kernel option "nomodeset"
glxgears corruption on ATI Radeon X800 with kernel option "nomodeset"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 08:42 EDT by Joachim Frieben
Modified: 2009-09-09 01:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: mesa-7.5-0.12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 01:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of corrupted glxgears window (19.71 KB, image/png)
2009-04-07 08:42 EDT, Joachim Frieben
no flags Details
Xorg.0.log for ATI Radeon X800 without xorg.conf (107.41 KB, text/plain)
2009-04-07 08:43 EDT, Joachim Frieben
no flags Details
Radeon X550 Xorg.0.log (22.73 KB, application/octet-stream)
2009-04-15 00:34 EDT, brianchad@westnet.com.au
no flags Details

  None (edit)
Description Joachim Frieben 2009-04-07 08:42:24 EDT
Created attachment 338497 [details]
Screenshot of corrupted glxgears window

Description of problem:
When launching glxgears, the application window appears but it only shows green flashes on a black background.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-8.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start GNOME session.
2. Launch 'glxgears'.
  
Actual results:
glxgears shows green flashes on a black background.

Expected results:
glxgears shows turning gears.

Additional info:
- Gears are rendered correctly when kernel modesetting is enabled albeit
  only at about 1300 fps instead of about 3500 fps.
- Installed packages include:
  * kernel-2.6.29.1-54.fc11.x86_64
  * mesa-*-7.5-0.8.fc11.x86_64
  * xorg-x11-drv-ati-6.12.1-8.fc11.x86_64
  * xorg-x11-server-Xorg-1.6.0-17.fc11.x86_64
Comment 1 Joachim Frieben 2009-04-07 08:43:41 EDT
Created attachment 338498 [details]
Xorg.0.log for ATI Radeon X800 without xorg.conf
Comment 2 brianchad@westnet.com.au 2009-04-15 00:34:10 EDT
Created attachment 339621 [details]
Radeon X550 Xorg.0.log

my system behaves identically.

glxgears works (though slowly) only if "nomodeset" is NOT specified.

x86-64 system with all latest rawhide updates (15 April 2009)

Radeon X550 PCI express.
Comment 3 Joachim Frieben 2009-04-15 01:11:43 EDT
To be more clear, other GL applications like screensavers are affected, too.
Comment 4 Bug Zapper 2009-06-09 09:25:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joachim Frieben 2009-09-09 01:10:24 EDT
For current F11 w/updates including packages
- kernel-2.6.30.5-43.fc11.i586
- mesa-*-7.6-0.1.fc11.i586
- xorg-x11-drv-ati-6.12.2-18.fc11.i586
- xorg-x11-server-Xorg-1.6.3-4.fc11.i586
"glxgears" works as expected.

Note You need to log in before you can comment on or make changes to this bug.